DAHDI-Linux-complete On CENTOS Kernel 2.6.32

Home » Asterisk Users » DAHDI-Linux-complete On CENTOS Kernel 2.6.32
Asterisk Users 5 Comments

Does anyone had ever try to install DAHDI-tools and DAHI-linux on CENTOS  Kernel 2.6.32-71.el6.i686? On the subversion source, I can see the latest DAHDI-linux-complete version is 2.5.0+2.5.0. Need any feedback if DAHDI-linux version 2.5.0 has any compatibility issue with linux kernel 2.6. Apart from the DAHDI-linux-complete, understand that one of DAHDI dependency which is kernel source (kernel-debug-devel-2.6.32-71.el6.i686) needs to be installed as well.

Any inputs is highly appreciated.

Regards
Jesie

5 thoughts on - DAHDI-Linux-complete On CENTOS Kernel 2.6.32

  • [snip]

    Iirc that kernel (2.6.32-71.el6.i686) is a stock Red Hat Enterprise
    Linux 6 (or CentOS 6) kernel. Not sure if I understand you. Are you
    saying that Digium does not test their software on RHEL6/CentOS6 or that
    you tested it on RHEL6/CentOS6 but just not against the stock kernel?

    Thanks,
    Patrick

  • I was only saying that I personally have not tested it against that
    kernel version (RHEL6 / CentOS6). My personal CentOS test machines are
    running CentOS 4.9, 5.5, and 5.6. I don’t yet have a 6.0 version in the
    mix.

    However, given that I’ve run on a 2.6.32 kernel (debian and vanilla) and
    I would be very surprised if you have any problems compiling and running
    from the source repositories.

    If you’re worried about it, you could wait for CentOS 6.0 packages to
    show up on http://packages.asterisk.org/centos but I’m not sure what the
    expected time frame for that is.

  • I think we have that running, i will look into the configuration tomorrow when back in the office and let you know what the exact setup is

    Reply-To: Asterisk Discussion >

    Hi

    Does anyone had ever try to install DAHDI-tools and DAHI-linux on CENTOS kernel 2.6.32-71.el6.i686? On the subversion source, I can see the latest DAHDI-linux-complete version is 2.5.0+2.5.0. Need any feedback if DAHDI-linux version 2.5.0 has any compatibility issue with linux kernel 2.6. Apart from the DAHDI-linux-complete, understand that one of DAHDI dependency which is kernel source (kernel-debug-devel-2.6.32-71.el6.i686) needs to be installed as well.

    Any inputs is highly appreciated.

    Regards

    Jesie